import * as z from 'zod';
// prettier-ignore
export const OfficeContactInputSchema = z.object({
    id: z.number().int(),
    userId: z.number().int(),
    officeName: z.string().optional().nullable(),
    receptionistName: z.string().optional().nullable(),
    dentistName: z.string().optional().nullable(),
    phoneNumber: z.string().optional().nullable(),
    email: z.string().optional().nullable(),
    fax: z.string().optional().nullable(),
    streetAddress: z.string().optional().nullable(),
    city: z.string().optional().nullable(),
    state: z.string().optional().nullable(),
    zipCode: z.string().optional().nullable(),
    user: z.unknown()
}).strict();

export type OfficeContactInputType = z.infer<typeof OfficeContactInputSchema>;
